Subject: bug#47215: 28.0.50; Let M-x switch between M-x and M-X

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 24 Jun 2022 20:18:01 +0200

Felician Nemeth <[email-masked]> writes:

> I've discovered that the initial-input argument of `completing-read` can
> be written as (STRING . POSITION).  The attached patch makes use of it
> and shows a simple implementation of my original wish.
>
> However, the patch creates code duplication.  Also, I don't know how it
> copes with recursive editing: maybe it's not a good idea to rebind M-x
> when `enable-recursive-minibuffers' is t.  Finally, the docstring says
> initial-input is deprecated.

I've now reworked your patch (a lot 😀) to avoid the duplication and
moved the cycling command to 'M-X' to avoid disruption.  But perhaps a
different key might also make sense...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no